QGIS Application - Feature request #11448
Add clipping with ogr2ogr with "-clipsrc" option
2014-10-20 12:41 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GDAL

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 19724
Description

ogr2ogr2 with "-clipsrc" option clips shapefiles faster than QGIS clip algorithm. Exposing this functionality in Processing would be very
useful

See also

http://darrencope.com/2011/03/31/clipping-large-shapefiles-using-ogr/

History

#1 - 2014-10-20 04:54 AM - Giovanni Manghi

| agree, adding this ogr based operation would help a lot, as qgis python clip tool is pretty bad at large datasets.

ogr2ogr can also clip by extent, using the -spat option, this could also be nice to have.

#2 - 2014-10-21 08:52 AM - Giovanni Manghi

see https://github.com/qgis/QGIS/pull/1649

#3 - 2014-10-26 03:23 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed
